## sympy 1.12.1

=== debian/changelog ===
sympy (1.12.1-1) unstable; urgency=medium

  * New upstream version 1.12.1
  * refreshed patch fix-1040058.patch

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 02 Jun 2024 19:31:16 +0200

sympy (1.12-8) unstable; urgency=medium

  * dropped the build-dependency on python3-distutils. Closes: #1065968

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 23 May 2024 11:33:55 +0200
