=== debian/changelog ===
sympy (1.13.1-1) unstable; urgency=medium

  * New upstream version 1.13.1
  * refreshed debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 25 Jul 2024 14:55:11 +0200
