## sympy 1.13.2

=== debian/changelog ===
sympy (1.13.2-1) unstable; urgency=medium

  * New upstream version 1.13.2
  * refreshed debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 23 Aug 2024 11:09:23 +0200
