=== debian/changelog ===
sympy (1.13.3-2) unstable; urgency=medium

  * Team upload
  * Drop unnecessary Build-Depends: inkscape

  [ Michael R. Crusoe ]
  * Explicitly depend on pytest during the build and the autopkgtests.
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Do not parse d/changelog (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Repository-Browse.
  * docs: link to the other packaged docs.
  * run tests at build time; switch to autopkgtest-pkg-pybuild.

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

 -- Bastian Germann <bage@debian.org>  Mon, 03 Feb 2025 10:03:29 +0100

sympy (1.13.3-1) unstable; urgency=medium

  * New upstream version 1.13.3

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 01 Oct 2024 13:10:01 +0200
