=== debian/control ===
Source: sympy
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Georges Khaznadar <georgesk@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-mpmath,
               python3-matplotlib,
               python3-sphinx <!nodoc>,
               python3-sphinxcontrib.jquery <!nodoc>,
               texlive-latex-base,
               texlive-latex-extra,
               librsvg2-bin,
               imagemagick,
               graphviz,
               dvipng,
               faketime,
               python3-sphinx-reredirects <!nodoc>,
               python3-sphinx-copybutton <!nodoc>,
               python3-myst-parser <!nodoc>,
               python3-linkify-it,
               python3-uc-micro,
               furo <!nodoc>,
               sphinx-basic-ng <!nodoc>,
               sphinx-common <!nodoc>,
               python3-pytest <!nocheck>,
               python3-hypothesis <!nocheck>,
               python-matplotlib-doc <!nodoc>,
               python-scipy-doc <!nodoc>,
               python-numpy-doc <!nodoc>,
               python-mpmath-doc <!nodoc>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/sympy
Vcs-Git: https://salsa.debian.org/science-team/sympy.git
Homepage: https://sympy.org/
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: isympy3
Architecture: all
Depends: isympy-common,
         python3-sympy,
         ${python3:Depends},
         ${misc:Depends}
Enhances: ipython3
Provides: isympy
Description: Python3 shell for SymPy
 SymPy is a Python library for symbolic mathematics (manipulation). It aims to
 become a full-featured computer algebra system (CAS) while keeping the code as
 simple as possible in order to be comprehensible and easily extensible. SymPy
 is written entirely in Python and does not require any external libraries,
 except optionally for plotting support.
 .
 This package contains a Python 3 shell (IPython shell if you have the
 ipython3 package installed) wrapper for SymPy.

Package: isympy-common
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Recommends: isympy3
Conflicts: isympy (<< 1.0-2)
Description: Python shell for SymPy
 SymPy is a Python library for symbolic mathematics (manipulation). It aims to
 become a full-featured computer algebra system (CAS) while keeping the code as
 simple as possible in order to be comprehensible and easily extensible. SymPy
 is written entirely in Python and does not require any external libraries,
 except optionally for plotting support.
 .
 This support package contains the common isympy Python script,
 a wrapper for SymPy which can be invoked with python3.
 .
 Install the isympy3 package to ensure all required dependencies
 are loaded.

Package: python3-sympy
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-mpmath
Recommends: python3-pil,
            python3-numpy,
            isympy-common
Suggests: texlive-fonts-extra,
          dvipng,
          python-sympy-doc
Enhances: isympy3,
          ipython3
Description: Computer Algebra System (CAS) in Python (Python 3)
 SymPy is a Python library for symbolic mathematics (manipulation). It aims to
 become a full-featured computer algebra system (CAS) while keeping the code as
 simple as possible in order to be comprehensible and easily extensible. SymPy
 is written entirely in Python and does not require any external libraries,
 except optionally for plotting support.
 .
 This package contains the Python 3 version of sympy.

Package: python-sympy-doc
Architecture: all
Section: doc
Depends: libjs-mathjax,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: python3-sympy,
          python-matplotlib-doc,
          python-scipy-doc,
          python-numpy-doc,
          python-mpmath-doc
Description: Computer Algebra System (CAS) in Python - Documentation
 SymPy is a Python library for symbolic mathematics (manipulation). It aims to
 become a full-featured computer algebra system (CAS) while keeping the code as
 simple as possible in order to be comprehensible and easily extensible. SymPy
 is written entirely in Python and does not require any external libraries,
 except optionally for plotting support.
 .
 This package contains the documentation for sympy Python module.
