## sympy 1.14.0

=== doc/Makefile ===
--- 
+++ 
@@ -7,7 +7,8 @@
 SPHINXOPTS   =
 SPHINXVER    = 0.5
 SPHINXBUILD  = sphinx-build
-PAPER        =
+# This one can also be set in the environment
+PAPER        ?= letter
 BUILDDIR     = _build
 SOURCEDIR    = src
 LIVEHOST     = localhost
@@ -16,15 +17,11 @@
 SVGFILES = $(wildcard src/modules/physics/vector/*.svg) $(wildcard src/modules/physics/mechanics/examples/*.svg) $(wildcard src/modules/vector/*.svg)
 PDFFILES = $(SVGFILES:%.svg=%.pdf)
 
-# This must be set for the recursive make pdf build to work in make latexpdf
-export LATEXMKOPTS = -halt-on-error -xelatex
-
-
 ALLSPHINXOPTS = -d $(BUILDDIR)/doctrees $(SPHINXOPTS)
 WARNINGSFILE = $(BUILDDIR)/.sphinx-warnings
 SPHINXSAVEWARNINGS = -w $(WARNINGSFILE)
 ALLSPHINXOPTSapi = -d $(BUILDDIR)/doctrees-api $(SPHINXOPTS) api
-ALLSPHINXOPTSlatex = -d $(BUILDDIR)/doctrees-latex -D latex_element.papersize=$(PAPER)paper \
+ALLSPHINXOPTSlatex = -d $(BUILDDIR)/doctrees-latex -D latex_elements.papersize=$(PAPER)paper \
                 $(SPHINXOPTS) src
 
 .PHONY: changes cheatsheet clean help html _html htmlapi htmlhelp info latex \
@@ -104,16 +101,18 @@
 	@echo "Build finished; now you can run HTML Help Workshop with the" \
 	      ".hhp project file in $(BUILDDIR)/htmlhelp."
 
-latex:
-	mkdir -p $(BUILDDIR)/latex $(BUILDDIR)/doctrees
+latex: logo
+	mkdir -p $(BUILDDIR)/latex $(BUILDDIR)/doctrees-latex
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTSlatex) $(BUILDDIR)/latex
 	@echo
 	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
-	@echo "Set the environment variable LATEXMKOPTS='-xelatex -silent'"
-	@echo "And run \`make all' in that directory to run these through xelatex."
+	@echo "Run \`make all' in that directory to run these through xelatex."
 
 pdf pdflatex latexpdf: latex
-	$(MAKE) -C $(BUILDDIR)/latex
+	@$(MAKE) -C $(BUILDDIR)/latex all-pdf \
+	LATEXOPTS="-halt-on-error -interaction=batchmode" \
+	LATEXMKOPTS="-xelatex" \
+	|| echo "LaTeX error"'!'" Check .log in $(BUILDDIR)/latex for lineno in .tex file."
 
 changes:
 	mkdir -p $(BUILDDIR)/changes $(BUILDDIR)/doctrees
