=== debian/changelog ===
sympy (1.14.0-2) unstable; urgency=medium

  * removed d/python6sympy-doc.examples since there is no examples/ dir
  * added a build-dependency on python-is-python3, so doc/Makefile
    can be used without a modification
  * disabled intersphinx features in the documentation

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 14 Aug 2025 14:39:52 +0200

sympy (1.14.0-1) unstable; urgency=medium

  * New upstream version 1.14.0
  * updated debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Jul 2025 13:22:51 +0200

sympy (1.13.3-5) unstable; urgency=medium

  * Team upload.
  * Add missing import pytest.

 -- Santiago Vila <sanvila@debian.org>  Thu, 27 Feb 2025 20:10:00 +0100

sympy (1.13.3-4) unstable; urgency=medium

  * Team upload.
  * Skip failing test on ppc64el. Closes: #1098246.
  * Skip failing test on armel. Closes: #1098246.

 -- Santiago Vila <sanvila@debian.org>  Thu, 27 Feb 2025 18:45:00 +0100

sympy (1.13.3-3) unstable; urgency=medium

  * Team upload.
  [ Andrey Rakhmatullin ]
  * Fix running autopkgtests (Closes: #1095778).
  * Fix building with the nodoc profile.

 -- Santiago Vila <sanvila@debian.org>  Sun, 16 Feb 2025 19:10:00 +0100
