=== debian/control ===
--- 
+++ 
@@ -5,12 +5,14 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-sphinxdoc <!nodoc>,
                python3-all,
                python3-setuptools,
                python3-mpmath,
                python3-matplotlib,
                python3-sphinx <!nodoc>,
                python3-sphinxcontrib.jquery <!nodoc>,
+	       python-is-python3,
                texlive-latex-base,
                texlive-latex-extra,
                librsvg2-bin,
@@ -25,7 +27,6 @@
                python3-uc-micro,
                furo <!nodoc>,
                sphinx-basic-ng <!nodoc>,
-               sphinx-common <!nodoc>,
                python3-pytest <!nocheck>,
                python3-hypothesis <!nocheck>,
                python-matplotlib-doc <!nodoc>,
