=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export PYBUILD_DESTDIR_python3=debian/python3-sympy/
-export PYBUILD_TEST_ARGS=-k 'not (TestUpdateArgsWithPaths)'
+export PYBUILD_TEST_ARGS={dir}/sympy -k 'not (TestUpdateArgsWithPaths)'
 
 include /usr/share/dpkg/default.mk
 
@@ -9,12 +9,14 @@
 #export DH_VERBOSE=1
 
 %:
-	dh  $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh  $@ --with python3 --buildsystem=pybuild
 
 execute_before_dh_auto_build:
+ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
 	# build the documentation in HTML format
 	faketime '@$(SOURCE_DATE_EPOCH)' \
 		sh -c '(cd doc/; export SPHINXOPTS="-j auto"; $(MAKE) html)'
+endif
 
 DOCDIR = debian/python-sympy-doc/usr/share/doc/python-sympy-doc
 execute_after_dh_auto_install:
